<?php
session_start(); 
if ($_POST[submit]) {
   require_once "base.php";
   require_once "utils.php";
   require_once "fichier_photo.php";
   list($x,$y) = degversdec($_POST[position]);
   $publie = "false";
   if (isset($_POST[publie])) {
	 $publie = "true";
   }
   list ($photo, $photo_mime) = charge_photo();
   $query = "select inscrit('".session_id()."','$_POST[nom]','($x,$y)','$_POST[email]','$_POST[passe]', $publie, $photo, $photo_mime)";
   $result = pg_query_ok($query);
   $code = pg_fetch_result($result,0,0);
   if ( $code == '1') {
    // une ligne à été trouvée. on repart sur la page d'accueil.
    header("Location: /");
    exit();    
   } else if ($code == '-1') {
     $message = "Vous êtes déjà inscrit.";         
   } else {
     require_once "erreur.php";
     erreur("Une erreur étrange c'est produite.");    
   }
}
require_once "header.php";
php?>
<principal titre="Inscription à PiloteWeb">
 <? if ($message) {
        print "<p>$message</p>";
    }
 ?>
 <formulaire action="inscription.php" method="post">
  <texte titre="Nom :" nom="nom" />
  <position titre="Position :" nom="position" />
  <texte titre="Email :" nom="email" /> 
  <fichier titre="Photo :" nom="photo" />
  <passe titre="Mot de passe :" nom="passe" />
  <choix titre="Données visibles pour les autres" nom="publie" />
</formulaire>
</principal>
</page>
